import { select, csv, scaleBand, scaleLinear, max, axisLeft, axisBottom } from 'd3'

const svg = select('svg')

const width = +svg.attr('width')
const height = +svg.attr('height')

const render = data => {
  const xValue = d => d.ageGroup
  const yValue = d => d.total
  const margin = { top: 40, right: 40, bottom: 40, left: 100 }
  const innerWidth = width - margin.left - margin.right
  const innerHeight = height - margin.top - margin.bottom

  const xScale = scaleBand()
    .domain(data.map(xValue))
    .range([0, innerWidth])
		.padding(0.1)
  console.log(xScale.domain())
  
  const yScale = scaleLinear()
  	.domain([0, max(data, yValue)])
  	.range([0, innerHeight])  	
  console.log(yScale.domain())
  
  const g = svg.append('g')
  	.attr('transform', `translate(${margin.left}, ${margin.top})`)
  
  g.append('g').call(axisLeft(yScale))
  g.append('g').call(axisBottom(xScale))
  	.attr('transform', `translate(0, ${innerHeight})`)
  
  	g.selectAll('rect').data(data)
  	.enter()
    .append('rect')  
  		.attr('x', d => xScale(xValue(d)))
  		.attr('height', d => yScale(yValue(d)))
  		.attr('width', xScale.bandwidth())
}

csv('data.csv').then(data => {
	data.forEach(d => {
  d.total = +d.total
  })
  render(data)
  console.log(data)
})


